<?php
/**
 * Zend Frameworkを利用したRSS/Atom Reader『ZFReader』
 * Viewフィルターのサンプル タブ文字を半角スペース2つに変換する
 * 
 * @author ishinao <ishinao@ishinao.net>
 * $Id: tabToSpaces.php 72 2006-05-15 09:19:25Z ishinao $
 */

/**
 * サンプルフィルタークラス
 * 
 * Zend_Viewのフィルタークラスは、「Zend_View_Filter_フィルター名」というクラス名で、
 * 元となる出力文字列を受け取り、フィルタリング後の出力文字列を返すfilterメソッドを
 * 実装しておく必要がある。
 * 
 * 今回は（特に必要ではないが）サンプルとして、タブ文字を半角スペース2つに変換する
 * フィルターを作ってみた。
 */
class Zend_View_Filter_TabToSpaces
{
	/**
	 * フィルター処理
	 * 
	 * @param string $buffer 元の出力文字列
	 * @return string フィルター処理後の出力文字列
	 */
	public function filter($buffer)
	{
		return preg_replace('|\t|', '  ', $buffer);
	}
}

?>
